API DocumentationStats
Retrieve aggregate live public network stats
Get live public network traffic stats for all resources (Useful for dashboard traffic in/out,
⚠️ prefer this endpoint to /stats/live when updating traffic stats frequently).
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Query Parameters
project_id*string
ID of the project used to filter results.
include_vpcs?boolean
If true, response will also include list of all VPC stats that were used to obtain the total.
Default
falseResponse Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/stats/network/live?project_id=default&include_vpcs=true"{ "timestamp": 1715514230, "step": 5, "data": { "network.rx": 728338.8, "network.tx": 1547975, "vpcs": [ { "vpc_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479", "network.rx": 728338.8, "network.tx": 1547975 } ] }}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}